Bug 161231 - Save increases first number if the file already exists
Save increases first number if the file already exists
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-21 12:03 EDT by Thomas Woerner
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-23 04:45:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2005-06-21 12:03:04 EDT
Description of problem:
Save increases first number if the file already exists. This happens in FC3 and FC4.

Version-Release number of selected component (if applicable):
firefox-1.0.4-2
firefox-1.0.4-4

How reproducible:
Download file which contains a number twice, eg.
http://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/os/Fedora/RPMS/ElectricFence-2.2.2-19.i386.rpm

Steps to Reproduce:
1: Start firefox
2. Download
http://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/os/Fedora/RPMS/ElectricFence-2.2.2-19.i386.rpm
3. Download
http://download.fedora.redhat.com/pub/fedora/linux/core/3/i386/os/Fedora/RPMS/ElectricFence-2.2.2-19.i386.rpm

Actual results:
There are these files in the download directory:
  ElectricFence-2.2.2-19.i386.rpm
  ElectricFence-3.2.2-19.i386.rpm

Expected results:
Show message, that there is already a file with that name and ask whether to
overwrite, to cancel or to give it another name.

Additional info:
Comment 1 Matthew Miller 2006-07-10 16:36:07 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Matěj Cepl 2007-07-18 13:22:11 EDT
Distribution against which this bug was reported is no longer supported; could
you please reproduce this with the updated version of the currently supported
distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue turns out
to still be reproducible, please let us know in this bug report.  If after a
month's time we have not heard back from you, we will have to close this bug as
CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Thomas Woerner 2007-08-23 04:45:22 EDT
Closing this as nwer versions add (%d) to the filename.

Note You need to log in before you can comment on or make changes to this bug.